Sun Java System Application Server Enterprise Edition 8.1 2005Q2 Performance Tuning Guide

- Previous: Tuning the EJB Pool
- Next: Pool and Cache Settings for Individual EJB Components

#### EJB Cache Settings

An individual EJB component can specify cache settings that override those of the EJB container in the <`bean-cache`> element of the EJB component’s `sun-ejb-jar.xml` deployment descriptor.

The EJB cache settings are:

Max Cache Size

  Maximum number of beans in the cache. Make this setting greater than one. The default value is 512. A value of zero indicates the cache is unbounded, which means the size of the cache is governed by Cache Idle Timeout and Cache Resize Quantity. The corresponding EJB deployment descriptor attribute is `max-cache-size`.

Cache Resize Quantity

  Number of beans to be created or deleted when the cache is serviced by the server. Valid values are from zero to MAX_INTEGER, and the default is 16. The corresponding EJB deployment descriptor attribute is `resize-quantity`.

Removal Timeout

  Amount of time that a stateful session bean remains passivated (idle in the backup store). If a bean was not accessed after this interval of time, then it is removed from the backup store and will not be accessible to the client. The default value is 60 minutes. The corresponding EJB deployment descriptor attribute is `removal-timeout-in-seconds`.

Removal Selection Policy

  Algorithm used to remove objects from the cache. The corresponding EJB deployment descriptor attribute is `victim-selection-policy`.Choices are:

  - NRU (not recently used). This is the default, and is actually pseudo-random selection policy.

  - FIFO (first in, first out)

  - LRU (least recently used)

Cache Idle Timeout

  Maximum time that a stateful session bean or entity bean is allowed to be idle in the cache. After this time, the bean is passivated to the backup store. The default value is 600 seconds. The corresponding EJB deployment descriptor attribute is `cache-idle-timeout-in-seconds`.

Refresh period

  Rate at which a read-only-bean is refreshed from the data source. Zero (0) means that the bean is never refreshed. The default is 600 seconds. The corresponding EJB deployment descriptor attribute is `refresh-period-in-seconds`. Note: this setting does not have a custom field in the Admin Console. To set it, use the Add Property button in the Additional Properties section.

- Previous: Tuning the EJB Pool
- Next: Pool and Cache Settings for Individual EJB Components

- © 2010, Oracle Corporation and/or its affiliates